import requests
import json
import config

GITEA_INSTANCE = 'https://gitea.lemnoslife.com'

headers = {
    'Authorization': f'token {config.TOKEN}'
}

def getApi(url):
    url = f'{GITEA_INSTANCE}/api/v1/{url}'
    response = requests.get(url, headers = headers)
    return response.json()

repositories = getApi(f'user/repos')

print(json.dumps(repositories, indent = 4))

for repository in repositories:
    repositoryFullName = repository['full_name']
    collaborators = getApi(f'repos/{repositoryFullName}/collaborators')
    for collaborator in collaborators:
        print(json.dumps(collaborators, indent = 4))
        permission = getApi(f'repos/{repositoryFullName}/collaborators/{collaborator["login"]}/permission')
        if permission['permission'] != 'read':
            print(repositoryFullName)
            print(json.dumps(permission, indent = 4))

